Seccl - Store an adviser node association Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/addons/seccl/{addon}/associate-node

Path parameters

  • addon string Required
application/json

Body

  • associations array[object] Required

    Associations to be created. Each association should have adviser_uuid and SECCL node_ids.

    Hide associations attributes Show associations attributes object
    • adviser_uuid string(uuid)

      Adviser UUID

    • node_ids array

      SECCL Node IDs

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      Lookup type

    • lookupable_type string

      The model type you are looking up against

    • lookupable_uuid string

      The UUID of the model of the lookup value you are looking up against

    • lookupable_value string

      The description of the model of the lookup value you are looking up against

    • lookup_value string

      A string of a lookup value you are looking up against

    • returnable_type string

      The model type that was found by this lookup

    • returnable_uuid string

      The model UUID that was found by this lookup

    • returnable_value string

      The description of the model that was found by this lookup

    • return_string string

      The return value that was found by this lookup

    • return_json object

      The return value that was found by this lookup

      Hide return_json attributes Show return_json attributes object
      • key_1 string
      • key_2 string
    • return_float number

      The return value that was found by this lookup

POST /api/v1/addons/seccl/{addon}/associate-node
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/addons/seccl/architecto/associate-node' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"associations":[{"adviser_uuid":"e89aca4b-5836-4389-ab7f-b34b13ee508f","node_ids":["1234","321"]}]}'
Request examples
{
  "associations": [
    {
      "adviser_uuid": "e89aca4b-5836-4389-ab7f-b34b13ee508f",
      "node_ids": [
        "1234",
        "321"
      ]
    }
  ]
}
Response examples (200)
{
  "uuid": "e6e660bd-173c-4b53-bdc9-1109fcd47c07",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "type": "provider_statement_mapping",
  "lookupable_type": "provider",
  "lookupable_uuid": "d7913f71-05b9-4cda-8d53-2529a28e60e0",
  "lookupable_value": "J Bloggs Plan",
  "lookup_value": "zAbWeFVJ:Bloggs J",
  "returnable_type": "plan",
  "returnable_uuid": "97d57fa6-7881-4af6-ae5e-ac54259074de",
  "returnable_value": "example",
  "return_string": "Consectetur officia labore",
  "return_json": {
    "key_1": "value_1",
    "key_2": "value_2"
  },
  "return_float": 70.35
}